<html>
    <head>
        <meta charset="ISO-8859-1">
        <title></title>
    </head>
    <body>
        <?php
      define("RUT_EMISOR", '18912744-8');
      define("RUT_ENVIA", '18912744-8');
      define("PK_RUTA",'./cert-beto.pfx');
      define("RUT_RECEPTOR", '7914075-9');
      define("PK_PASS",6235);
      define("PEM_RUTA", "./crt.pem");
      define("KEY_RUTA", "./server.key");
  
       
        
        $trkID=$_GET["trkID"];
        require '../Clases/Autentificacion.php';
        $estaAutentificacion = new Autentificacion();
    
        $estaAutentificacion->pkPass = PK_PASS;
        $estaAutentificacion->pkRuta = PK_RUTA;
        $estaAutentificacion->pemRuta = PEM_RUTA;
        $estaAutentificacion->keyRuta = KEY_RUTA;

        $estaAutentificacion->getToken();
        $token = $estaAutentificacion->token;
        //echo "$token<br>\n";
        $rutEmisor ='18912744';
        $dvEmisor ="8";
        $cmd = "/usr/bin/python ./python/ConsultaEnvio.py '".$rutEmisor."' '".$dvEmisor."' '".$trkID."' '".$token."'";
        $Estado = shell_exec($cmd);
        
        print_r($Estado);
       
        
        ?>
    </body>
</html>
